Epoch: 1
%if 0%{?fedora} < 33|| 0%{?el7}
%global _with_xmms 1
%global xmmsinputdir %(xmms-config --input-plugin-dir)
%endif


%lib_package faad 2
%define debug_package %{nil}

Summary: Library and frontend for decoding MPEG2/4 AAC
Name: faad2
Version: 2.10.0
Release: 19%{?dist}
License: GPLv2+
Group: Applications/Multimedia
Source0: http://download.sourceforge.net/faac/%{name}-%{version}.tar.gz
Patch0:  https://github.com/knik0/faad2/commit/5530ffdfa6e9d89f5956b8a0901b5d168ce7d46b.patch#/readd_files_xmms.patch
Patch1:	%{name}-pic.patch
Patch2: fix_undefined_version.patch
URL: http://www.audiocoding.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: automake, libtool, gcc-c++
%{?_with_xmms:
BuildRequires: xmms2-devel, id3lib-devel
}
BuildRequires: zlib-devel
Obsoletes: faad2-libs <= %{evr}
%lib_dependencies

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch.


%package -n xmms-aac
Summary: X MultiMedia System input plugin to play AAC files
Group: Applications/Multimedia
Requires: %{name} = %{evr}, xmms, id3lib
Obsoletes: xmms-faad2 <= %{evr}

%description -n xmms-aac
This xmms plugin reads AAC files with and without ID3 tags (version 2.x).
AAC files are MPEG2 or MPEG4 files that can be found in MPEG4 audio files
(.mp4). MPEG4 files with AAC inside can be read by RealPlayer or Quicktime.


%prep
%setup -q -n  %{name}-%{version}
%patch0 -R -p1
%patch1 -p1
%patch2 -p1
./bootstrap

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure \
  --disable-static \
  %{?_with_xmms:--with-xmms}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/libfaad_drm.so.2
%{_libdir}/libfaad_drm.so.2.0.0
%{_mandir}/man1/faad.1.gz

%{?_with_xmms:
%files -n xmms-aac
%defattr(0644,root,root,0755)
%doc plugins/xmms/AUTHORS plugins/xmms/NEWS
%doc plugins/xmms/README plugins/xmms/TODO
%defattr(-,root,root,-)
%{xmmsinputdir}/*.so
#%{xmmsinputdir}/*.a
%{xmmsinputdir}/*.la
}

%changelog
* Wed Nov 10 2021 Stephen Collier <stephenbcollier@gmail.com> 2:2.10.0-19
- Update to 2.10.0

* Wed Nov 22 2017 Stephen Collier <stephenbcollier@gmail.com> 2:2.8.6-19
- Update to 2.8.6

* Mon Sep  5 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:2.7-18
- Make sure the binaries are executable.

* Sun Mar  1 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:2.7-12
- Update to 2.7.

* Tue Feb  3 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:2.6.1-11
- Remove --with-drm.

* Sat Nov 15 2008 Paulo Roma <roma@lcg.ufrj.br> - 1:2.6.1-9
- Applied security patch main_overflow (2008-09-16).
- faad2-libs and xmms-faad2 from a 3rd party repo generate conflicts.
- Using Epoch 1 because of a 3rd party repo messing with epochs.
- Fixed permissions.

* Sun Feb 17 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.6.1-8
- Update to 2.6.1.

* Tue Aug 29 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.5-6
- Update to 2.5.

* Mon Oct  4 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0 final.

* Tue Aug 12 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0rc1.
- Introduced LD_LIBRARY_PATH workaround.
- Removed optional xmms plugin build, it seems mandatory now.
- Added gtk+ build dep for the xmms plugin.

* Wed May 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added xmms plugin build.

* Wed Apr  9 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.
- Now exclude .la file.
- Update to latest CVS checkout to fix compile problem.

* Fri Aug 10 2002 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- changes to compile v1.1 release

* Tue Jun 18 2002 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- First RPM.

